commit:     4bfb9619e8b7123bb8ef4fc73c53a47f8919be4b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  6 23:00:19 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov  6 23:14:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bfb9619

dev-python/pygit2: Bump to 1.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest            |  1 +
 dev-python/pygit2/pygit2-1.4.0.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index e5673ff44ed..9267f85a40e 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
 DIST pygit2-1.3.0.tar.gz 243399 BLAKE2B 
273d678b1681bbe969282ed10af640a59d99c421d32f6d25cf7374a6b018fb52f92337929a24bd9348085fb4f359561d21b51728ce66d73a5ee7089eef9b7b4c
 SHA512 
297c6aef27019ca540d7ec9c26da7a5e870a7e5c2e06daa1a038023c4ab32c800b2494970e41a3d576e17e1d2c33402c3116389d9e2ebe1c2def0ba529dbde71
+DIST pygit2-1.4.0.tar.gz 244586 BLAKE2B 
aa4c04ff22df31270a03107498abe095e99e196711a1939fe6f15d4cae18e94d72f1964850437c5e82d897ca74e951a5b877fb41154f3790c9fb6c926c6cfe0b
 SHA512 
b6b9d5028fd63593e6ecd869735132edeeb55c1fd97664be5d0d5dac0c25f844ce0d981782fad7f47e54555ab1f7fa5e87d1ad8a76340d81e1f908ad4ea1e35a

diff --git a/dev-python/pygit2/pygit2-1.4.0.ebuild 
b/dev-python/pygit2/pygit2-1.4.0.ebuild
new file mode 100644
index 00000000000..06fffe5c70d
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       =dev-libs/libgit2-1.1*
+       dev-python/cached-property[${PYTHON_USEDEP}]
+       >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+
+       # we need to move them away to prevent pytest from forcing '..'
+       # for imports
+       mkdir hack || die
+       mv test hack/ || die
+       ln -s hack/test test || die
+}
+
+python_test() {
+       pytest -vv hack/test || die
+}

Reply via email to